VERSION 5.00
Begin VB.Form Debugfrm 
   Caption         =   "Debugging Information"
   ClientHeight    =   5925
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5745
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   ScaleHeight     =   5925
   ScaleWidth      =   5745
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox status 
      Height          =   375
      Left            =   3120
      Locked          =   -1  'True
      TabIndex        =   8
      ToolTipText     =   "Terminal Status"
      Top             =   5400
      Width           =   1695
   End
   Begin VB.TextBox transid 
      Height          =   375
      Left            =   2160
      Locked          =   -1  'True
      TabIndex        =   6
      ToolTipText     =   "CICS Transaction Code"
      Top             =   5400
      Width           =   615
   End
   Begin VB.TextBox cursorpos 
      Height          =   375
      Left            =   1200
      Locked          =   -1  'True
      TabIndex        =   3
      ToolTipText     =   "Cursor Position"
      Top             =   5400
      Width           =   615
   End
   Begin VB.TextBox numflds 
      Height          =   375
      Left            =   240
      Locked          =   -1  'True
      TabIndex        =   2
      ToolTipText     =   "Number of fields"
      Top             =   5400
      Width           =   615
   End
   Begin VB.TextBox scrflds 
      BeginProperty Font 
         Name            =   "Fixedsys"
         Size            =   9
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   4695
      Left            =   360
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   0
      Top             =   360
      Width           =   5055
   End
   Begin VB.Label Label5 
      Caption         =   "Terminal Status"
      Height          =   255
      Left            =   3360
      TabIndex        =   9
      Top             =   5160
      Width           =   1215
   End
   Begin VB.Label Label4 
      Caption         =   "Transaction"
      Height          =   255
      Left            =   2040
      TabIndex        =   7
      Top             =   5160
      Width           =   855
   End
   Begin VB.Label Label3 
      Caption         =   "Cursor"
      Height          =   255
      Left            =   1320
      TabIndex        =   5
      Top             =   5160
      Width           =   495
   End
   Begin VB.Label Label2 
      Caption         =   "Field Count"
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   5160
      Width           =   855
   End
   Begin VB.Label Label1 
      Caption         =   "Screen Fields"
      Height          =   255
      Left            =   2040
      TabIndex        =   1
      Top             =   0
      Width           =   1335
   End
End
Attribute VB_Name = "Debugfrm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Public Sub update_data(term As CclTerminal)
    Dim i As Integer
    Dim strFld As String
    Dim fld As CclField
    Dim screen As CclScreen
    
    ' Get a pointer to the screen object from the terminal
    Set screen = term.screen
    
    If screen.FieldCount = 0 Then
        strFld = "No defined fields"
    Else
        strFld = ""
        For i = 1 To screen.FieldCount
            Set fld = screen.FieldByIndex(i)
            strFld = strFld & Str(i) & " " & Str(fld.Row) & " " & Str(fld.Column) & " "
        
            If fld.InputProt = cclProtect Then
                strFld = strFld & "P "
            Else
                strFld = strFld & "U "
            End If
        
            strFld = strFld & Str(fld.TextLength) & " " & Left(fld.Text, 30)
        
            strFld = strFld & vbCrLf
        Next i
    End If
    
    scrflds.Text = strFld
    numflds.Text = Str(screen.FieldCount)
    transid.Text = term.transid
    cursorpos.Text = "(" & Str(screen.CursorRow) & "," & Str(screen.CursorCol) & ")"
    
    Select Case term.State
    Case cclActive
        status.Text = "Connected"
    Case cclServer
        status.Text = "Transaction Running"
    Case cclClient
        status.Text = "Waiting for Client"
    Case cclDiscon
        status.Text = "Disconnected"
    Case cclError
        status.Text = "Error " & term.Diagnose
    Case Else
        status.Text = "Unknown"
    End Select
End Sub

