<%@ LANGUAGE="VBSCRIPT" %>

<html>
<HEAD>
<title>Credit Account Information using the Internet</title>
</HEAD>
<body>
<%
    ' Sample Credit/Account program to CICS using Active Server Pages
    ' 1 September 1998
    ' Author: Jim MacNair, IBM Corp
    ' On Error Resume Next

    ' Define some 3270 screen constants for the menu, detail and browse screens
    Const MENUFLDS = 13
    Const MENUHASH = 6971
    Const MENUMSG  = 8
    Const MENUTRAN = 10
    Const MENUACCT = 12
    Const DETFLDS = 24
    Const DETHASH = 10330
    Const DETNAME = 6
    Const DETADDR = 9
    Const DETDATE = 12
    Const DETPHONE = 15
    Const DETAMOUNT = 18
    Const DETCOMMENT = 21
    Const BRWSFLDS = 22
    Const BRWSHASH = 7459
    Const BRWSDIR  = 1
    Const BRWSACCTNO1 = 8
    Const BRWSNAME1 = 9
    Const BRWSAMOUNT1 = 10
    Const BRWSACCTNO2 = 11
    Const BRWSNAME2 = 12
    Const BRWSAMOUNT2 = 13
    Const BRWSACCTNO3 = 14
    Const BRWSNAME3 = 15
    Const BRWSAMOUNT3 = 16
    Const BRWSACCTNO4 = 17
    Const BRWSNAME4 = 18
    Const BRWSAMOUNT4 = 19
    Const BRWSMSG1 = 20
    Const BRWSMSG2 = 21
    Const BRWSMSG3 = 22


    ' Define some constants
    Const PgFwd = 1
    Const PgBack = 2
    Const RetInqy = 3
    Const DispAcct1 = 4
    Const DispAcct2 = 5
    Const DispAcct3 = 6
    Const DispAcct4 = 7
    Const AcctInqy = 8
    Const AcctChg = 9
    Const AcctAdd = 10
    Const AcctBrws = 11
    Const FormClear = 12
	Const FormLogoff = 13

    ' variable definitions
    Dim objterm3270
    Dim intReqType
    Dim intBrwsForm
    Dim intChangeAllowed
    Dim intDirectn
    Dim strSubmit
    Dim strAcctno
    Dim strName
    Dim strAddress
    Dim strDate
    Dim strPhone
    Dim strAmount
    Dim strComment
    Dim strErrmsg
    Dim strCICSErrmsg
    Dim strOldAcctno
    Dim strOldName
    Dim strOldAddress
    Dim strOldDate
    Dim strOldPhone
    Dim strOldAmount
    Dim strOldComment
    Dim strMsg
    Dim strAcctno1
    Dim strName1
    Dim strAmount1
    Dim strAcctno2
    Dim strName2
    Dim strAmount2
    Dim strAcctno3
    Dim strName3
    Dim strAmount3
    Dim strAcctno4
    Dim strName4
    Dim strAmount4
    Dim strBrwsmsg1
    Dim strBrwsmsg2
    Dim strBrwsmsg3

    ' Working Variables
    dim intRC
    dim intEventype
    dim strTranscode
    dim intCICSErr
    dim strBrwPF
	Dim intNextScreen

    ' Initialize return code
    intRC = 0
    intEventype = 0
    intChangeAllowed = 0
    intBrwsForm = 0
    intCICSErr = 0


    ' Initial string variables
    strAcctno = ""
    strName = ""
    strAddress = ""
    strDate = ""
    strPhone = ""
    strAmount = ""
    strComment = ""

    ' get a pointer to the 3270 terminal object
    'set objterm3270 = Server.CreateObject("epi3270.api3270")
    set objterm3270 = Session("objterm3270")

    ' get the form variables
    strSubmit  = Request.Form("SUBMIT")
    strAcctno  = Request.Form("ACCTNO")
    strName    = Request.Form("NAME")
    strAddress = Request.Form("ADDRESS")
    strDate    = Request.Form("DATE")
    strPhone   = Request.Form("PHONE")
    strAmount  = Request.Form("AMOUNT")
    strComment = Request.Form("COMMENT")
    strSubmit  = Request.Form("SUBMIT")
	intCurrentScr = Request.Form("CurrentScreen")

    ' Figure out the Request Type
    if strSubmit = "Show Details" Then
            intReqType = AcctInqy
    End If

    if strSubmit = "Browse Accounts" Then
            intReqType = AcctBrws
    End If

    if strSubmit = "Add New Account" Then
            intReqType = AcctAdd
    End If

    if strSubmit = "Change Account" Then
            intReqType = AcctChg
    End If

    if strSubmit = "Clear Form" Then
            intReqType = FormClear
    End If

    ' Figure out the Request Type
    If strSubmit = "Page Forward" Then
            intReqType = PgFwd
    End If

    If strSubmit = "Page Backward" Then
            intReqType = PgBack
    End If

    If strSubmit = "Return to Inquiry" Then
            intReqType = RetInqy
    End If

    If strSubmit = "Display Account 1" Then
            intReqType = DispAcct1
            strAcctno = Request.Form("NUMBER1")
    End If

    If strSubmit = "Display Account 2" Then
            intReqType = DispAcct2
            strAcctno = Request.Form("NUMBER2")
    End If

    If strSubmit = "Display Account 3" Then
            intReqType = DispAcct3
            strAcctno = Request.Form("NUMBER3")
    End If

    If strSubmit = "Display Account 4" Then
            intReqType = DispAcct4
            strAcctno = Request.Form("NUMBER4")
    End If

	If strSubmit = "Logoff" Then
		intReqType = FormLogoff
	End if

	' Check for a missing Session object
	' This can happen if the object times out
	' In this case, we force the user back to the sign on screen
	if Session("strTermName") = "" Then
		' Set the error message
		strErrmsg = "No CICS terminal found - possible timeout - Please sign on"

		' Force the sign on form
		intReqType = FormLogoff
	else
		' Check for replays
		' Replays are not allowed for Browse operations, since they must be 
		' in a certain context.  Replays do not matter for the other operations,
		' since they do not require a particular state on the host
		' Replays will be detected by using a next screen variable
		If intReqType = PgFwd or intReqType = PgBack Then
			If Cint(intCurrentScr) <> Cint(Session("CurrentScreen")) Then
				' We have a replay of a Browse operation
				' We have to suppress this
				intReqType = FormClear
				strErrmsg = "ERROR - Browser replays are not allowed for Browse operations"
Response.Write("VarType(intCurrentScr) is " & VarType(intCurrentScr) & "  ")
 Response.Write("intCurrentScr is " & intCurrentScr & "<p>")
Response.Write("VarType(session(CurrentScreen)) is " & VarType(Session("CurrentScreen")) & "  ")
 Response.Write("Session(CurrentScreen) is " & Session("CurrentScreen") & "<p>")
			End If
		End If
	End If

	' Increment the screen number
	intCurrentScr = intCurrentScr + 1

	' Remember the current screen
	Session("CurrentScreen") = intCurrentScr

    Select Case intReqType
    Case AcctInqy, AcctChg, AcctAdd, AcctBrws, DispAcct1, DispAcct2, DispAcct3, DispAcct4
        ' Get our saved previous values
        strOldAcctno  = Session("OLDACCTNO")
        strOldName    = Session("OLDNAME")
        strOldAddress = Session("OLDADDRESS")
        strOldDate    = Session("OLDDATE")
        strOldPhone   = Session("OLDPHONE")
        strOldAmount  = Session("OLDAMOUNT")
        strOldComment = Session("OLDCOMMENT")

        ' Clear the old values
        Session("OLDACCTNO") = ""
        Session("OLDNAME") = ""
        Session("OLDADDRESS") = ""
        Session("OLDDATE") = ""
        Session("OLDPHONE") = ""
        Session("OLDAMOUNT") = ""
        Session("OLDCOMMENT") = ""

        ' Invoke the CICS Inquire/Change/Add
        ' First, we must invoke the Inquire/Change/Add menu screen
        ' Start by clearing the screen
        Clear3270Screen

        ' invoke the menu transaction to format the menu screen
        RunMenuTran

        if intRC = 0 and objterm3270.numberFields = menuflds then
            ' Run the appropriate transaction and display the detail screen
            ' Select the proper transaction code
            select case intReqType
            Case AcctChg
                strTranscode = "UPDT"
            Case AcctAdd
                strTranscode = "ADDS"
            Case AcctBrws
                strTranscode = "BRWS"
            Case Else
                strTranscode = "INQY"
            End Select

            ' Enter the transaction code
            intRC = objterm3270.Keyin(strTranscode)

            ' Enter the account number
            ltrim(strAcctno)
            intRC = objterm3270.Keyin(strAcctno)

            ' Execute the transaction
            intRC = objterm3270.BeginTran(strTranscode, "ENTER")

            ' Check if it worked
            if intRC = 0 Then
                intRC = objterm3270.WaitEvent(intEventype)

                ' Check if the EpiWaitEvent was successful
                if intRC = 0 Then
					' remember the last event
                    'intEventype = objTerm3270.lastevent

                    ' check that the transaction worked and that we have a detail screen
                    If intReqType = AcctBrws Then
                        RetrieveBrowseData
                    Else
                        if objterm3270.numberFields = DETFLDS and objterm3270.GetScreenSum = DETHASH then
                            If intReqType = AcctAdd or intReqType = AcctChg Then
                                ' Fill in the detail screen data
                                SetDetailData

                                ' run the add or update transaction
                                if intRC = 0 Then
                                    intRC = objterm3270.BeginTran(objterm3270.nextransid, "ENTER")
                                    if intRC = 0 Then
                                        intRC = objterm3270.WaitEvent(intEventype)
                                        if intRC = 0 Then
                                            'intEventype = objterm3270.lastevent

                                            ' Get the message from the MENU screen
                                            GetMenuData
                                        else
                                            strErrmsg = "Error in WaitEvent for ADDS or UPDT"
                                            SetCICSErrorMsg
                                        end if
                                    else
                                        strErrmsg = "Error starting UPDT or ADDS transaction "
                                        SetCICSErrorMsg
                                    End if
                                else
                                    strErrmsg = "Error entering detail data"
                                end if
                            Else
                                ' get the data from the detail screen
                                GetDetailData
                            End if
                        Else
                            GetMenuData
						End If
                    End if
                else
                    strErrmsg = "WaitEvent failed for " & strTranscode
                    SetCICSErrorMsg
                end if
            Else
                strErrmsg = "BeginTran failed for " & strTranscode
                SetCICSErrorMsg
            End if

			' Clear the screen, except for Browse requests
			If intRC <> 0 and intReqType <> AcctBrws Then
				' Clear the screen
                Clear3270Screen
			End If
        End if
    Case FormClear, RetInqy
        ' Clear the variables
        strAcctno  = ""
        strName    = ""
        strAddress = ""
        strDate    = ""
        strPhone   = ""
        strAmount  = ""
        strComment = ""
	Case FormLogoff
		' Get rid of the current session object
		Session.Abandon
    Case PgFwd, PgBack
        ' We must already be in a browse transaction for this to work
        ' Select the direction
        If intReqType = PgFwd then
            ' Page Forward
            strBrwPF = "PF1"
        Else
            ' Page Backwards
            strBrwPF = "PF2"
        End If


        ' The shipped version of this transaction is conversational.  
        ' However, a pseudo-conversational version is provided as part
        ' of SupportPac CA03.  Therefore, both versions will be supported
        ' Check if we are conversational or not
        If objterm3270.transid = "BRWS" Then
            ' Conversational version
            intRC = objterm3270.SendInput(strBrwPF)

            If intRC = 0 Then
                intRC = objterm3270.WaitEvent(intEventype)
                If intRC <> 0 Then
                    strErrmsg = "WaitEvent failed for SendInput in BRWS transaction"
                    SetCICSErrorMsg
                End if

                RetrieveBrowseData
            Else
                strErrmsg = "SendInput failed for BRWS transaction"
                SetCICSErrorMsg
            End if
        Else
            ' Check for pseudo-conversational version
            If objterm3270.nextransid = "BRWS" Then
               intRC = objterm3270.BeginTran("BRWS", strBrwPF)

               If intRC = 0 Then
                   intRC = objterm3270.WaitEvent(intEventype)

                   If intRC = 0 Then
                       RetrieveBrowseData
                   Else
                       strErrmsg = "WaitEvent failed for BRWS transaction"
                       SetCICSErrorMsg
                   End if
               Else
                   strErrmsg = "Unable to start BRWS transaction"
                   SetCICSErrorMsg
               End if
            Else
                ' We should not arrive here - something has gone wrong
                ' Display an error message to tell the user and bail out
                strErrmsg = "Browse transaction not running for PgFwd or PgBack"

                ' Attempt to get back to a known point
                Clear3270Screen
            End If
        End If
    End Select

    ' Check for a Browse request
    if intBrwsForm = 1 and intRC = 0 Then
    ' Start writing the browse HTML page
%>
<hr>
<TABLE COLS=4>
<CAPTION ALIGN=CENTER>Account Summary</CAPTION>
<TBODY>
<TR><TH>1
<TD><%  = strAcctno1 %>
<TD><%  = strName1 %>
<TD><%  = strAmount1 %>
<TR><TH>2
<TD><%  = strAcctno2 %>
<TD><%  = strName2 %>
<TD><%  = strAmount2 %>
<TR><TH>3
<TD><%  = strAcctno3 %>
<TD><%  = strName3 %>
<TD><%  = strAmount3 %>
<TR><TH>4
<TD><%  = strAcctno4 %>
<TD><%  = strName4 %>
<TD><%  = strAmount4 %>
</TBODY>
</TABLE>
<form action="/aspepi/credepi.asp" method ="POST"><p>
<input type="hidden" name="CurrentScreen" value="<% = intCurrentScr %>" >
<input type="submit" name="SUBMIT" value="Page Forward">
<input type="submit" name="SUBMIT" value="Page Backward"><p>
<input type="submit" name="SUBMIT" value="Display Account 1">
<input type="submit" name="SUBMIT" value="Display Account 2">
<input type="submit" name="SUBMIT" value="Display Account 3">
<input type="submit" name="SUBMIT" value="Display Account 4"><p>
<input type="submit" name="SUBMIT" value="Return to Inquiry">
<% If len(strErrmsg) > 0 or len(strCICSErrmsg) > 0 Then %>
<HR>
 <h2><%  = strErrmsg %></h2> <P>
 <h2><%  = strCICSErrmsg %></h2>
<% End If %>
<hr>
<h2><%  = strbrwsmsg3 %></h2><P>
<h2><%  = strbrwsmsg1 %></h2><P>
<h2><%  = strbrwsmsg2 %></h2><P>
<input type=hidden name="NUMBER1" value="<%  = stracctno1 %>" size=6 maxlength=6>
<input type=hidden name="NUMBER2" value="<%  = stracctno2 %>" size=6 maxlength=6>
<input type=hidden name="NUMBER3" value="<%  = stracctno3 %>" size=6 maxlength=6>
<input type=hidden name="NUMBER4" value="<%  = stracctno4 %>" size=6 maxlength=6>

<%
        ' Send back the Inquire/Change/Add page
        ElseIf intReqType <> FormLogoff Then
%>
<h1>Credit Account Information</h1>
You can obtain detailed information about your credit account, and if
you wish, change your address using the <b>Internet</b><p>
<form action="/aspepi/credepi.asp" method ="POST"><p>
Type your account number (6 digits):
<%
 Response.Write("<input name=""ACCTNO"" value=""")
 Response.Write(strAcctno)
 Response.Write(""" size=6 maxlength=6><p>")
%>
<% If len(strErrmsg) > 0 or len(strCICSErrmsg) > 0 Then %>
<HR>
<h2><%  = strErrmsg %></h2> <P>
<h2><%  = strCICSErrmsg %></h2>
<% End If %>
<hr>
<h2>To add a record, fill in the following fields</h2><p>
Name:
<%
 Response.Write("<input name=""NAME"" value=""")
 Response.Write(strName)
 Response.Write(""" size=23 maxlength=20>")
 Response.Write("Address:")
 Response.Write("<input name=""ADDRESS"" value=""")
 Response.Write(strAddress)
 Response.Write(""" size=23 maxlength=20><p>")
 Response.Write("Phone:")
 Response.Write("<input name=""PHONE"" value=""")
 Response.Write(strPhone)
 Response.Write(""" size=8 maxlength=8>")
 Response.Write("Date:")
 Response.Write("<input name=""DATE"" value=""")
 Response.Write(strDate)
 Response.Write(""" size=8 maxlength=8><p>")
 Response.Write("Amount($xxxx.xx):")
 Response.Write("<input name=""AMOUNT"" value=""")
 Response.Write(strAmount)
 Response.Write(""" size=8 maxlength=8>")
 Response.Write("Comment:")
%>
<input name="COMMENT" value="<% = strComment %>" size=10 maxlength=9><p>
<input type="hidden" name="CurrentScreen" value="<% = intCurrentScr %>" >
<hr>
<input type="submit" name="SUBMIT" value="Show Details">
<input type="submit" name="SUBMIT" value="Browse Accounts">
<input type="submit" name="SUBMIT" value="Add New Account">
<!-- Decide if we should allow changes -->
<% If intChangeAllowed = 1 Then %>
<input type="submit" name="SUBMIT" value="Change Account">
<% End If %>
<input type="submit" name="SUBMIT" value="Clear Form">
<input type="submit" name="SUBMIT" value="Logoff"><p>
<HR>
<%
	Else
		' Logoff Request - Show the Logon Form
%>
<h1>CICS LOGON</h1>
Please enter your userid and password<p>
<form action="/aspepi/epilogon.asp" method ="POST"><p>
CICS Userid:
<input name="CICSUSER" value="" size=8 maxlength=8>
CICS Password:
<input name="CICSPW" value="" size=8 maxlength=8 type=password><p>
CICS System:
<input name="CICSSYS" value="" size=8 maxlength=8>
<p>
Network Name:
<input name="CICSNETNAME" value="" size=8 maxlength=8>
Model Terminal:
<input name="CICSMODTERM" value="" size=8 maxlength=8>
<p>
<input type="submit" name="SUBMIT" value="Logon to CICS"><p>
<HR>
<H2><% = strErrmsg %></H2><P>
<h2><%  = strCICSErrmsg %></h2>
<%
    End If
%>
</form>
</body></html>

<% 
    ' Subroutine Declarations

    ' Subroutine to set the input fields in the input screen
    Sub SetDetailData
        if objterm3270.numberFields = DETFLDS and objterm3270.GetScreenSum = DETHASH Then
            intRC = objterm3270.ModifyFieldNum(DETNAME, strName)

            If intRC = 0 Then
                intRC = objterm3270.ModifyFieldNum(DETADDR, strAddress)
            End if

            If intRC = 0 Then
                intRC = objterm3270.ModifyFieldNum(DETDATE, strDate)
            End if

            If intRC = 0 Then
                intRC = objterm3270.ModifyFieldNum(DETPHONE, strPhone)
            End if

            If intRC = 0 Then
                intRC = objterm3270.ModifyFieldNum(DETAMOUNT, strAmount)
            End if

            If intRC = 0 Then
                intRC = objterm3270.ModifyFieldNum(DETCOMMENT, strComment)
            End if

            If intRC <> 0 Then
                strErrmsg = "Error setting data on detail screen = RC " & str(intRC)
            End if
        else
            strErrmsg = "SetDetailData - Not DETAIL screen"
        End if
    End Sub

    Sub GetDetailData
        ' Retrieve the detail data from the 3270 screen into variables
        if objterm3270.numberFields = DETFLDS and objterm3270.GetScreenSum = DETHASH Then
			'strName = objterm3270.GetDataByNum(DETNAME)
			'strAddress = objterm3270.GetDataByNum(DETADDR)
			'strDate = objterm3270.GetDataByNum(DETDATE)
			'strPhone = objterm3270.GetDataByNum(DETPHONE)
			'strAmount = objterm3270.GetDataByNum(DETAMOUNT)
			'strComment = objterm3270.GetDataByNum(DETCOMMENT)
            intRC = objterm3270.GetFieldDataNum(DETNAME, strName)

            If intRC = 0 Then
                intRC = objterm3270.GetFieldDataNum(DETADDR, strAddress)
            End if

            If intRC = 0 Then
                intRC = objterm3270.GetFieldDataNum(DETDATE, strDate)
            End if

            If intRC = 0 Then
                intRC = objterm3270.GetFieldDataNum(DETPHONE, strPhone)
            End if

            If intRC = 0 Then
                intRC = objterm3270.GetFieldDataNum(DETAMOUNT, strAmount)
            End if

            If intRC = 0 Then
                intRC = objterm3270.GetFieldDataNum(DETCOMMENT, strComment)
            End if

            If intRC = 0 Then
                intChangeAllowed = 1
            Else
                strErrmsg = "Error retrieving data from detail screen - RC " & str(intRC)
            End If
        else
            strErrmsg = "GetDetailData - Not DETAIL screen"
        End if
    End Sub

    Sub GetBrowseData
        ' Retrieve the data from the 3270 browse screen into variables
        if objterm3270.numberFields = BRWSFLDS and objterm3270.GetScreenSum = BRWSHASH Then
            ' We have a browse screen
			' Start extracting the fields from the data
			strAcctno1 = objterm3270.GetDataByNum(BRWSACCTNO1)
			strName1 = objterm3270.GetDataByNum(BRWSNAME1)
			strAmount1 = objterm3270.GetDataByNum(BRWSAMOUNT1)
			strAcctno2 = objterm3270.GetDataByNum(BRWSACCTNO2)
			strName2 = objterm3270.GetDataByNum(BRWSNAME2)
			strAmount2 = objterm3270.GetDataByNum(BRWSAMOUNT2)
			strAcctno3 = objterm3270.GetDataByNum(BRWSACCTNO3)
			strName3 = objterm3270.GetDataByNum(BRWSNAME3)
			strAmount3 = objterm3270.GetDataByNum(BRWSAMOUNT3)
			strAcctno4 = objterm3270.GetDataByNum(BRWSACCTNO4)
			strName4 = objterm3270.GetDataByNum(BRWSNAME4)
			strAmount4 = objterm3270.GetDataByNum(BRWSAMOUNT4)
            'intRC = objterm3270.GetFieldDataNum(BRWSACCTNO1, strAcctno1)

            If intRC = 0 Then
                'intRC = objterm3270.GetFieldDataNum(BRWSNAME1, strName1)
            End if

            If intRC = 0 Then
                'intRC = objterm3270.GetFieldDataNum(BRWSAMOUNT1, strAmount1)
            End if

            If intRC = 0 Then
                'intRC = objterm3270.GetFieldDataNum(BRWSACCTNO2, strAcctno2)
            End if

            If intRC = 0 Then
                'intRC = objterm3270.GetFieldDataNum(BRWSNAME2, strName2)
            End if

            If intRC = 0 Then
                'intRC = objterm3270.GetFieldDataNum(BRWSAMOUNT2, strAmount2)
            End if

            If intRC = 0 Then
                'intRC = objterm3270.GetFieldDataNum(BRWSACCTNO3, strAcctno3)
            End if

            If intRC = 0 Then
                'intRC = objterm3270.GetFieldDataNum(BRWSNAME3, strName3)
            End if

            If intRC = 0 Then
                'intRC = objterm3270.GetFieldDataNum(BRWSAMOUNT3, strAmount3)
            End if

            If intRC = 0 Then
                'intRC = objterm3270.GetFieldDataNum(BRWSACCTNO4, strAcctno4)
            End if

            If intRC = 0 Then
                'intRC = objterm3270.GetFieldDataNum(BRWSNAME4, strName4)
            End if

            If intRC = 0 Then
                'intRC = objterm3270.GetFieldDataNum(BRWSAMOUNT4, strAmount4)
            End if

            'If intRC = 0 Then
				intBrwsForm = 1
			'else
                'strErrmsg = "Error extracting data from BROWSE Screen - RC " & str(intRC)
            'End if
        else
            strErrmsg = "GetBrowseData - Not BROWSE screen"
        End if
    End Sub

    Sub GetMenuData
        ' Retrieve the data from the 3270 menu screen into variables
        if objterm3270.numberFields = MENUFLDS and objterm3270.GetScreenSum = MENUHASH Then
			'strErrmsg = objterm3270.GetDataByNum(MENUMSG)
            intRC = objterm3270.GetFieldDataNum(MENUMSG, strErrmsg)

            If intRC <> 0 Then
                strErrmsg = "Error extracting data from MENU Screen - RC " & str(intRC)
            End if
        else
            strErrmsg = "GetMenuData - Not MENU screen"
        End if
    End Sub

    Sub RetrieveBrowseData
        If objterm3270.GetScreenSum = BRWSHASH Then
            ' Retrieve the Browse data from the 3270 screen
            GetBrowseData
        Else
            If objterm3270.GetScreenSum = MENUHASH Then
                'Retrieve the message from the MENU screen
                GetMenuData
            Else
                ' Don't know what we have here - set an error message
                strErrmsg = "Unrecognized Screen Format on PgFwd or PgBack"
            End if

            ' Clear the screen to try and get back to a known state
            Clear3270Screen
        End If
    End Sub

    Sub Clear3270Screen
        ' This routine attempts to clear the 3270 screen to an unformatted state
        dim intClearcnt
		dim intEvent
		dim intRC

		' Initialize variables
        intClearcnt = 0
		intRC = 0

        Do Until intClearcnt > 2 or objTerm3270.numberFields = 0
            objterm3270.ClearScreen
            intClearcnt = intClearcnt + 1

			' Check if we started a transaction or are still in one
			if objterm3270.transid <> "" Then
				' If so, wait for an event
				intEvent = 0
				intRC = objterm3270.WaitEvent(intEvent)
			End if
        Loop
    End Sub

    ' This routine will run the MENU transaction to format the screen to start
    ' a transaction sequence
    Sub RunMenuTran
        intRC = objterm3270.BeginTran("MENU","ENTER")

        if intRC = 0 then
            ' wait for the transaction to complete
            intRC = objterm3270.WaitEvent(intEventype)

            if intRC = 0 then
                ' get the last event
                'intEventype = objterm3270.lastevent
            else
                strErrmsg = "WaitEvent failed for MENU transaction"
                SetCICSErrorMsg
            end if
        else
            strErrmsg = "BeginTran failed for MENU transaction"
            SetCICSErrorMsg
        end if
    End sub

    Sub SetCICSErrorMsg
        Dim strErrtext

        If intCICSErr = 0 Then
            ' Get the CICS Error Message text
            strErrtext = objterm3270.EPIErrorMessage(intRC)

            ' Build the error message
            strCICSErrmsg = "** CICS ERROR ** RC = " 
            strCICSErrmsg = strCICSErrmsg & CStr(intRC) 
            strCICSErrmsg = strCICSErrmsg & " " 
            strCICSErrmsg = strCICSErrmsg & strErrtext

            ' remember that we have set a CICS error
            intCICSErr = 1
        End if
    End Sub
%>

